org.apache.storm.tuple

## Class MessageId

- java.lang.Object
- - org.apache.storm.tuple.MessageId

-     public class MessageId
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MessageId(Map<Long,Long> anchorsToIds)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageId` | `deserialize(com.esotericsoftware.kryo.io.Input in)`
    `boolean` | `equals(Object other)`
    `static long` | `generateId(Random rand)`
    `Set<Long>` | `getAnchors()`
    `Map<Long,Long>` | `getAnchorsToIds()`
    `int` | `hashCode()`
    `static MessageId` | `makeId(Map<Long,Long> anchorsToIds)`
    `static MessageId` | `makeRootId(long id, long val)`
    `static MessageId` | `makeUnanchored()`
    `void` | `serialize(com.esotericsoftware.kryo.io.Output out)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageId

          protected MessageId(Map<Long,Long> anchorsToIds)

  - ### Method Detail

    - #### generateId

          public static long generateId(Random rand)

    - #### makeUnanchored

          public static MessageId makeUnanchored()

    - #### makeId

          public static MessageId makeId(Map<Long,Long> anchorsToIds)

    - #### makeRootId

          public static MessageId makeRootId(long id,
                                             long val)

    - #### deserialize

          public static MessageId deserialize(com.esotericsoftware.kryo.io.Input in)
                                       throws IOException

      Throws:
        `IOException`

    - #### getAnchorsToIds

          public Map<Long,Long> getAnchorsToIds()

    - #### getAnchors

          public Set<Long> getAnchors()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### serialize

          public void serialize(com.esotericsoftware.kryo.io.Output out)
                         throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.